<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note Lab 4</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

    <style>
      * {
        box-sizing: border-box;
        margin: 5px;
        padding: 5px;
      }

      li, a {
        font-weight: 500;
        text-decoration: none;
      }

      header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        font-weight: 400;
      }

      .nav_links {
        list-style: none;
      }

      .nav_links li {
        display: inline-block;
        padding: 0 20px;
        color: black;
      }

      .nav_links li a {
        transition: all 0.2 ease 0s;
      }

      .nav_links li a:hover {
        color : #000000
      }

      .table {
        width: 1500px;
        border-collapse: collapse;
        margin: 25px;
        min-height: 300px;
        font-family:'Courier New', Courier, monospace;
        border-radius: 5px 5px 0 0;
        overflow: hidden;
        box-shadow: 20px 20px 20px rgba(0, 0, 0, 0.15);
      }

      .table thead tr {
        background-color: #009879;
        color: white;
        text-align: left;
        font-weight: bold;
      }

      .table th,
      .table td {
        padding: 12px 15px;
      }

      .table tbody tr {
        border-bottom: 1px solid #009879;
      }

      .table tbody tr:hover {
        background-color: #009879;
        color: white;
        text-align: left;
        font-weight: bold;
      }

      .table tbody tr:last-of-type {
        border-bottom: 2px solid #009879;
      }

      .table tbody tr td.message_box {
        min-width: 1000px;
      } */

      .table tbody tr td.title {
        min-width: 250px;
      }
    </style>

  </head>
  <body>  

    <header>
      <nav>
        <ul class = "nav_links">
          <li><a href="/lab-4/add-note/">Note Form</a></li>
          <li><a href="/lab-4/">Note Table View</button></a></li>
          <li><a href="/lab-4/note-list/">Note Card List View</a></li>
        </ul>
      </nav>
    </header>

    <h1>Note Table List</h1>

    <table class = "table">
      <thead>
        <tr>
          <th>To</th>
          <th>From</th>
          <th>Title</th>
          <th>Message</th>
        </tr>
      </thead>  
      <tbody>
        {% for e in notes %}
        <tr>
          <td> {{ e.to }} </td>
          <td> {{ e.From }} </td>
          <td class="title"> {{ e.title }} </td>
          <td class= "message_box"> {{ e.message }} </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>

  </body>
</html>
